Bug 668234 - [abrt] exaile-0.3.2.0-2.fc14: collection.py:821:delete:Error: Error removing file: No such file or directory
Summary: [abrt] exaile-0.3.2.0-2.fc14: collection.py:821:delete:Error: Error removing ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:aeec54fc
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-09 10:29 UTC by Vivek Shah
Modified: 2011-03-28 19:34 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:34:25 UTC


Attachments (Terms of Use)
File: backtrace (975 bytes, text/plain)
2011-01-09 10:29 UTC, Vivek Shah
no flags Details

Description Vivek Shah 2011-01-09 10:29:08 UTC
abrt version: 1.1.14
architecture: i686
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
comment: The size of my music collection was large around 15 GB which was imported into Exaile and I tried to remove all of it since it had gone from my file system and I wanted to clean my Exaile collection.
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.35.6-48.fc14.i686
package: exaile-0.3.2.0-2.fc14
reason: collection.py:821:delete:Error: Error removing file: No such file or directory
release: Fedora release 14 (Laughlin)
time: 1294568761
uid: 500

backtrace
-----
collection.py:821:delete:Error: Error removing file: No such file or directory

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/panel/collection.py", line 224, in _on_delete_items
    self.collection.delete_tracks(tracks)
  File "/usr/lib/python2.7/site-packages/exaile/xl/collection.py", line 351, in delete_tracks
    lib.delete(tr.get_loc_for_io())
  File "/usr/lib/python2.7/site-packages/exaile/xl/collection.py", line 821, in delete
    if not file.delete():
Error: Error removing file: No such file or directory

Local variables in innermost frame:
loc: 'file:///home/bonii/backups/music/music/eng-audios/Pink%20Floyd/The%20Wall%20cd2/Outside%20The%20Wall.mp3'
self: <xl.collection.Library object at 0x906cbac>
tr: 'Unknown (Outside The Wall.mp3)' from 'the wall' by 'pink floyd'
file: <__main__.GLocalFile at 0x9547234: file:///home/bonii/backups/music/music/eng-audios/Pink%20Floyd/The%20Wall%20cd2/Outside%20The%20Wall.mp3>

How to reproduce
-----
1. Open Exaile
2. Remove all music file from file system
3. Try to delete all collection in Exaile and it crashes

Comment 1 Vivek Shah 2011-01-09 10:29:11 UTC
Created attachment 472416 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:41:50 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-05 02:47:08 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 4 Fedora Update System 2011-03-28 19:31:48 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.